<% @Import Namespace="Seven.Front" %>
<% @Import Namespace="Seven.Front.Business" %>
<% @Import Namespace="Seven.Front.Globals" %>
<% @Import Namespace="Seven.Front.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Prepagos.aspx.cs" Inherits="Seven.Front.Prepagos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("Prepagos") %> [2.4]</title>
    
    <script type="text/javascript">

        <% 
        
        /* 
         * Índice de Código 
         * 
         * Nada sobre esta tierra puede detener al hombre que posee la correcta actitud mental para lograr su meta. 
         * Nada sobre esta tierra puede ayudar al hombre con la incorrecta actitud mental.
         *                                                                                      -- Thomas Jefferson
         * 
         * JQ01 - Grid de Prepagos
         * JQ02 - Grid de Fragmentar Prepagos
         * 
         * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
         * JS_FUN_MON   - Función para carga información de la moneda del prepago
         * JS_FUN_COMBO - Funciones Javascript de Combobox
         * JS_DOC       - Funciones Javascript en Document.Ready()
         * 
         * DLG_VAR      - Diálogos Varios
         * DLG_FIL_DG   - Diálogos Filtro de Prepagos
         * DLG_FRAG     - Diálogo de Fragmentar Prepagos
         * 
         * TIT - Título
         * 
         * HH  - Hidden Hive - Almacen de datos en campos ocultos
         * 
         * B01 - Cuerpo del Grid Principal
         * B02 - Zona 01 Prepagos
         * B03 - Zona 02 Prepagos 
         * 
         */
        
        %>

        var ListFindN = ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */ %>

        <% /* Código del jqGrid para Prepagos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDG()
        {
            GetPrepago(0);
        }

        function GetPrepago(id) {
            $.ajax({
                url: 'Servicio.svc/GetPrepagos',
                data: {
                      "modo": 0, "id_cont": 0, "id_dega": id, "Eliminado": $('#cbEliminado:checked').val()
                    , "Fil_id_endg": $("input[name=cbFilDG_id_endg]:checked").val(), "vFil_id_endg": $('#cbEnlacePrepFilDG').val()
                    , "Fil_nombre_depo": $("input[name=cbFilDG_nombre_depo]:checked").val(), "vFil_nombre_depo": $('#txtFilDG_nombre_depo').val()
                    , "Fil_id_mone": $("input[name=cbFilDG_id_mone]:checked").val(), "vFil_id_mone": $('#cbMonedaFilDG').val()
                    , "Fil_documento_ext": $("input[name=cbFilDG_documento_ext]:checked").val(), "vFil_documento_ext": $('#txtFilDG_documento_ext').val()
                    , "Fil_fecha_recepcion": $("input[name=cbFilDG_fecha_recepcion]:checked").val(), "Fil_fecha_recepcion_modo": $("#cbDateOpsFilDG").val()
                    , "vFil_fecha_recepcion": $('#txtFilDG_fecha_recepcion').val(), "vFil_fecha_recepcion2": $('#txtFilDG_fecha_recepcion2').val()
                    , "Fil_fecha_caducidad": $("input[name=cbFilDG_fecha_caducidad]:checked").val(), "Fil_fecha_caducidad_modo": $("#cbDateOpsFilDG").val()
                    , "vFil_fecha_caducidad": $('#txtFilDG_fecha_caducidad').val(), "vFil_fecha_caducidad2": $('#txtFilDG_fecha_caducidad2').val()
                    , "Fil_no_tari": $("input[name=cbFilDG_no_tari]:checked").val()
                    , "Fil_id_cont": $("input[name=cbFilDG_id_cont]:checked").val(), "vFil_id_cont": $('#cbContratoFilDG').val()
                    , "Fil_asignado": $("input[name=cbFilDG_asignado]:checked").val(), "vFil_asignado": $('input[name=rbAsignado]:checked').val()
                    , "Fil_nro_dega": $("input[name=cbFilDG_nro_dega]:checked").val(), "vFil_nro_dega": $('#txtFilDG_nro_dega').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        if (parseInt(id) == 0) {
                            $("#jqgDG").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgDG")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgDG").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                        else {
                            $('#HidDega').html(json.d);
                            LoadForm();
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutDG(eli, delmodo) {
            $.ajax({
                url: 'Servicio.svc/PutPrepagos',
                data: {
                      "id_dega": $('#IdSubElementDG').val()
                    , "id_mone": $('#cbMoneda').val()
                    , "nombre_depo": $('#txtPREPNombre').val()
                    , "importe": $('#txtPREPImporte').val()
                    , "entregado": $('#txtPREPEntregado').val()
                    , "comision": $('#txtPREPComision').val()
                    , "tarj_cred": $('#txtPREPNumTarj').val()
                    , "documento_ext": $('#txtPREPDocumento').val()
                    , "fecha_caducidad": $('#txtPREPFechaCaduc').val()
                    , "id_endg": $('#cbEnlacePrep').val()
                    , "id_cont": $('#cbContrato').val()
                    , "referencia": $('#txtPREPReferencia').val()
                    , "mes": $('#cbMonth').val(), "ano": $('#cbYear').val()
                    , "Eliminado": eli
                    , "ElimModo": delmodo
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            if (delmodo == 2) {
                                ImprimirDGDev();
                            }
                            $('#IdSubElementDG').val(0);
                            BotonDefaultDG();
                            RefreshGridDG();
                        }
                        else {
                            if (parseInt($('#IdSubElementDG').val()) != 0) {
                                BotonDefaultDG();
                                RefreshGridDG();
                            }
                            else {
                                $('#IdSubElementDG').val(res);
                                BotonDefaultDG();
                                RefreshGridDG();
                                ImprimirDG();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridDG() {

            var lselDG;
            var colMap = {};
            $("#jqgDG").jqGrid({
                datatype: 'local',
                height: 290,
                width: 150,
                colNames: ['', '<%=L.LBL("LblGENNumero") %>', '<%=L.LBL("LblFDKPREPDepositante") %>', '<%=L.LBL("LblGENImporte") %>', '<%=L.LBL("LblGENMoney") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'nro_dega', index: 'nro_dega', width: 10, editable: true },
                            { name: 'nombre_depo', index: 'nombre_depo', width: 10, editable: true, search: false, hidden: true },
                            { name: 'importe', index: 'importe', width: 10, editable: true, search: false, hidden: true },
                            { name: 'cod_mone', index: 'cod_mone', width: 10, editable: true, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselDG) && !isNaN(id)) {
                            $("#jqgDG").jqGrid('delRowData', lselDG);
                            //$('#jqgDG').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgDG").jqGrid('getRowData', id);

                            $('#jqgDG').jqGrid('restoreRow', lselDG);

                            $('#IdSubElementDG').val(ret.Id);

                            GetPrepago(ret.Id);
                        }
                        else {
                            BotonNuevoDG();
                        }

                        lselDG = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselDG)) {
                            $("#jqgDG").jqGrid('delRowData', lselDG);
                            $('#jqgDG').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgDG').jqGrid('saveRow', lselDG);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgDG').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgDG").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextDG').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconDG').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextDG').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconDG').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgDG').jqGrid('setSelection', id); 

                        BotonSelectDG();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgDG").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementDG').val()) == 0) {
                            $('#IdSubElementDG').val($("#jqgDG").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgDG").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgDG").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgDG').jqGrid('setSelection', $('#IdSubElementDG').val());
                    if (parseInt($('#IdSubElementDG').val()) != 0) {
                        BotonSelectDG();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        function InitializeComponentsDG(id) {
            //$('#cbMoneda').on('change', function ()
            //{
            //    BotonGuardarDG();
            //    GetEnlacesPrepagosComboOptions();
            //    GetPrepagosMoneInfo();
            //});
            $('#txtPREPNombre').on('input', function () { BotonGuardarDG(); });
            $('#txtPREPImporte').on('input', function () {
                BotonGuardarDG();
            });
            $('#txtPREPEntregado').on('input', function () {
                BotonGuardarDG();
            });
            $('#txtPREPNumTarj').on('input', function () { BotonGuardarDG(); });
            $('#txtPREPDocumento').on('input', function () { BotonGuardarDG(); });
            $('#txtPREPFechaCaduc').on('input', function () { BotonGuardarDG(); });
            $('#txtPREPFechaCaduc').on('change', function () { BotonGuardarDG(); });
            $('#txtPREPNumero').on('input', function () { BotonGuardarDG(); });
            $('#cbEnlacePrep').on('change', function () { BotonGuardarDG(); });
            $('#cbContrato').on('change', function () { BotonGuardarDG(); });
            $('#txtPREPReferencia').on('input', function () { BotonGuardarDG(); });
            $('#cbMonth').on('change', function () { BotonGuardarDG(); });
            $('#cbYear').on('change', function () { BotonGuardarDG(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridDG() {
            $("#jqgDG").jqGrid("setGridParam", { datatype: "json", datatype: GetDG, loadonce: true });
            $("#jqgDG").trigger("reloadGrid");
            $("#jqgDG").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateDG() {
            ResetForm();
            BotonNuevoDG();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveDG() {
            PutDG(0, 0);
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteDG(modo) {
            var id = $("#jqgDG").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutDG(1, modo);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelDG() {
            var id = $("#jqgDG").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgDG').restoreRow(id);
                $('#IdSubElementDG').val(id);
                GetPrepago(id);
            }
            else {
                ResetForm();
            }
            BotonDefaultDG();
        }

        function BotonDefaultDG() {
            $('#btnNuevoDG').button('enable');
            $('#btnEliminarDG').button('disable');
            $('#btnGuardarDG').button('disable');
            $('#btnCancelarDG').button('disable');
            $('#btnTraspasoDG').button('disable');
            $('#btnDevolucionDG').button('disable');
        }

        function BotonNuevoDG() {
            $('#btnNuevoDG').button('disable');
            $('#btnEliminarDG').button('disable');
            $('#btnGuardarDG').button('disable');
            $('#btnCancelarDG').button('enable');
            $('#btnTraspasoDG').button('disable');
            $('#btnDevolucionDG').button('disable');
        }

        function BotonSelectDG() {
            $('#btnNuevoDG').button('enable');
            var id = $("#jqgDG").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarDG').button('enable');
            }
            else {
                $('#btnEliminarDG').button('disable');
            }
            $('#btnGuardarDG').button('disable');
            $('#btnCancelarDG').button('disable');
            $('#btnTraspasoDG').button('enable');
            $('#btnDevolucionDG').button('enable');
        }

        function BotonGuardarDG() {
            $('#btnNuevoDG').button('disable');
            $('#btnEliminarDG').button('disable');
            $('#btnGuardarDG').button('enable');
            $('#btnCancelarDG').button('enable');
            $('#btnTraspasoDG').button('disable');
            $('#btnDevolucionDG').button('disable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=140&ft=' + $("input[name=cbFilDG_id_endg]:checked").val() + "&vt=" + $('#cbEnlacePrepFilDG').val()
                    + "&fd=" + $("input[name=cbFilDG_nombre_depo]:checked").val() + "&vd=" + $('#txtFilDG_nombre_depo').val()
                    + "&fm=" + $("input[name=cbFilDG_id_mone]:checked").val() + "&vm=" + $('#cbMonedaFilDG').val()
                    + "&fx=" + $("input[name=cbFilDG_documento_ext]:checked").val() + "&vx=" + $('#txtFilDG_documento_ext').val()
                    + "&ffr=" + $("input[name=cbFilDG_fecha_recepcion]:checked").val() + "&ffrm=" + $("#cbDateOpsFilDG").val()
                    + "&vfr=" + $('#txtFilDG_fecha_recepcion').val() + "&vfr2=" + $('#txtFilDG_fecha_recepcion2').val()
                    + "&ffc=" + $("input[name=cbFilDG_fecha_caducidad]:checked").val() + "&ffcm=" + $("#cbDateOpsFilDG").val()
                    + "&vfc=" + $('#txtFilDG_fecha_caducidad').val() + "&vfc2=" + $('#txtFilDG_fecha_caducidad2').val()
                    + "&nt=" + $("input[name=cbFilDG_no_tari]:checked").val()
                    + "&fta=" + $("input[name=cbFilDG_id_cont]:checked").val() + "&vta=" + $('#cbContratoFilDG').val()
                    + "&fas=" + $("input[name=cbFilDG_asignado]:checked").val() + "&vas=" + $('input[name=rbAsignado]:checked').val()
                    + "&fn=" + $("input[name=cbFilDG_nro_dega]:checked").val() + "&vn=" + $('#txtFilDG_nro_dega').val()
                    + '&el=' + $('#cbEliminado:checked').val(), '_blank');
        }

        function ImprimirDG() {
            window.open('Informe.aspx?r=141&id=' + $("#IdSubElementDG").val(), '_blank');
        }

        function ImprimirDGDev() {
            window.open('Informe.aspx?r=141&id=' + $("#IdSubElementDG").val() + '&d=1', '_blank');
        }

        <% /* JQ02 */ %>

        <% /* Código del jqGrid para FR */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetFR() {
            $.ajax({
                url: 'Servicio.svc/GetPrepagosFragmentar',
                data: { "id_dega": $('#IdSubElementDG').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando7').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando7').dialog('close');
                    try
                    {
                        $("#jqgFR").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgFR")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgFR").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutFR(id, id_dega, monto, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutPrepagosFragmentar',
                data: {
                    "id_fdeg": id, "id_dega": $('#IdSubElementDG').val(), "monto": monto, "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementFR').val(0);
                            BotonDefaultFR();
                            RefreshGridFR();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultFR();
                                RefreshGridFR();
                            }
                            else
                            {
                                $('#IdSubElementFR').val(res);
                                BotonDefaultFR();
                                RefreshGridFR();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridFR() {
        
            var lselFR;
            var colMap = {};
            $("#jqgFR").jqGrid({
                datatype: 'local',
                height: 200,
                width: 400,
                colNames:  ['', '', '<%=L.LBL("LblGENMonto") %>', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_dega', index: 'id_dega', width: 10, editable: true, hidden: true },
                            { name: 'monto', index: 'monto', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'Restante', index: 'Restante', width: 10, editable: true, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselFR) && !isNaN(id))
                        {
                            $("#jqgFR").jqGrid('delRowData', lselFR);
                            //$('#jqgFR').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgFR').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgFR").jqGrid('getRowData',id); 

                            $('#jqgFR').jqGrid('restoreRow',lselFR);

                            $('#IdSubElementFR').val(ret.Id);
                            $('#txtFRRestante').val(ret.Restante);
                        }
                        else
                        {
                            BotonNuevoFR();
                        }

                        $('#jqgFR').jqGrid('editRow', id, true, EventsFR);
                       
                        lselFR=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselFR))
                        {
                            $("#jqgFR").jqGrid('delRowData', lselFR);
                            $('#jqgFR').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgFR').jqGrid('saveRow',lselFR);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgFR').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgFR").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextFR').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconFR').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextFR').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconFR').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgFR').jqGrid('setSelection', id); 

                        BotonSelectFR();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgFR").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementFR').val()) == 0)
                        {
                            $('#IdSubElementFR').val($("#jqgFR").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgFR").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgFR").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgFR').jqGrid('setSelection', $('#IdSubElementFR').val());
                    if(parseInt($('#IdSubElementFR').val()) != 0)
                    {
                        BotonSelectFR();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgFR").jqGrid('navGrid','#PaginadorFR',{del:false,add:false,edit:false,search:false});
            $("#bsdataFR").click(function(){ 
                jQuery("#jqgFR").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsFR(id) {
            $("#" + id + "_id_dega").on('change', function () { BotonGuardarFR(); });
            $("#" + id + "_monto").on('input', function () { BotonGuardarFR(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarFR(); });
        }

        function EventsNewFR() {
            var selr = jQuery('#jqgFR').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_dega").on('change', function () { BotonGuardarFR(); });
            $("#" + selr + "_monto").on('input', function () { BotonGuardarFR(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarFR(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridFR()
        {
            $('#txtFRImporte').val($('#txtPREPImporte').val());
            $('#txtFRRestante').val($('#txtPREPImporte').val());
            $("#jqgFR").jqGrid("setGridParam", {datatype: "json", datatype: GetFR, loadonce: true});
            $("#jqgFR").trigger("reloadGrid"); 
            $("#jqgFR").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateFR()
        {
            $('#IdSubElementFR').val(0);
            $("#jqgFR").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoFR();
            EventsNewFR();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveFR(){
            var id = $("#jqgFR").jqGrid('getGridParam','selrow');
            if (id)	{
                PutFR(id, $('#' + id + '_id_dega').val(), $('#' + id + '_monto').val(), $('#' + id + '_eliminado').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteFR(){
            var id = $("#jqgFR").jqGrid('getGridParam','selrow');
            if (id) {
                PutFR(id, $('#' + id + '_id_dega').val(), $('#' + id + '_monto').val(), $('#' + id + '_eliminado').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelFR(){
            var id = $("#jqgFR").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgFR').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultFR();
        }

        function BotonDefaultFR() {
            $('#btnNuevoFR').button('enable');
            $('#btnEliminarFR').button('disable');
            $('#btnGuardarFR').button('disable');
            $('#btnCancelarFR').button('disable');
        }

        function BotonNuevoFR() {
            $('#btnNuevoFR').button('disable');
            $('#btnEliminarFR').button('disable');
            $('#btnGuardarFR').button('disable');
            $('#btnCancelarFR').button('enable');
        }

        function BotonSelectFR() {
            $('#btnNuevoFR').button('enable');
            var id = $("#jqgFR").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarFR').button('enable');
            }
            else {
                $('#btnEliminarFR').button('disable');
            }
            $('#btnGuardarFR').button('disable');
            $('#btnCancelarFR').button('disable');
        }

        function BotonGuardarFR() {
            $('#btnNuevoFR').button('disable');
            $('#btnEliminarFR').button('disable');
            $('#btnGuardarFR').button('enable');
            $('#btnCancelarFR').button('enable');
        }

        function Fragmentar() {
            $.ajax({
                url: 'Servicio.svc/RunPrepagosFragmentar',
                data: {
                    "id_dega": $('#IdSubElementDG').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        ResetForm();
                        RefreshGridDG();
                        $('#dlgFragmentar').dialog('close');
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* JS_FUN_BASE */ %>

        function LoadNroPrepago() {
            if (!isNaN($('#txtPREPNumero').val())) {
                ResetFiltersDG();
                $('#IdSubElementDG').val(0);
                $('#cbFilDG_nro_dega').prop('checked', true);
                $('#txtFilDG_nro_dega').val($('#txtPREPNumero').val());
                ResetForm();
                RefreshGridDG();
            }
        }

        function ResetFiltersDG()
        {
            $('#cbFilDG_nro_dega').prop('checked', false);
            $('#cbFilDG_id_endg').prop('checked', false);
            $('#cbFilDG_nombre_depo').prop('checked', false);
            $('#cbFilDG_id_cont').prop('checked', false);
            $('#cbFilDG_id_mone').prop('checked', false);
            $('#cbFilDG_documento_ext').prop('checked', false);
            $('#cbFilDG_fecha_recepcion').prop('checked', false);
            $('#cbFilDG_fecha_caducidad').prop('checked', false);
            $('#cbFilDG_no_tari').prop('checked', false);
            $('#cbFilDG_asignado').prop('checked', false);
        }

        function LoadForm()
        {
            $('#IdSubElementDG').val($('#HIDDG_id_dega').val());

            $('#cbMoneda').val($('#HIDDG_id_mone').val());
            $('#cbMoneda').prop('disabled', true);

            $('#txtPREPNombre').val($('#HIDDG_nombre_depo').val());
            $('#txtPREPImporte').val($('#HIDDG_importe').val());
            $('#txtPREPImporte').prop('disabled', true);
            //$('#txtPREPEntregado').val($('#HIDDG_entregado').val());
            $('#txtPREPEntregado').val($('#HIDDG_importe').val());
            $('#txtPREPEntregado').prop('disabled', true);
            $('#txtPREPNumTarj').val($('#HIDDG_tarj_cred').val());
            $('#txtPREPNumTarj').prop('disabled', true);

            $('#txtPREPDocumento').val($('#HIDDG_documento_ext').val());
            //$('#txtPREPDocumento').prop('disabled', true);
            $('#txtPREPFechaAsignacion').html($('#HIDDG_fecha_asignacion').val());
            $('#txtPREPFechaRecepcion').html($('#HIDDG_Fecha_recepcion').val());
            $('#txtPREPFechaCaduc').val($('#HIDDG_fecha_caducidad').val());
            $('#txtPREPAsignadoEn').html($('#HIDDG_asignado').val());

            $('#txtPREPNumero').val($('#HIDDG_nro_dega').val());
            GetEnlacesPrepagosComboOptions();
            $('#cbEnlacePrep').prop('disabled', true);

            $('#cbContrato').val($('#HIDDG_id_cont').val());
            $('#txtPREPDocContable').html($('#HIDDG_doc_pa').val());
            $('#txtPREPOperador').html($('#HIDDG_oper_nombre').val());
            $('#txtPREPReferencia').val($('#HIDDG_referencia').val());
            $('#cbMonth').val($('#HIDDG_mes').val());
            $('#cbMonth').prop('disabled', true);
            $('#cbYear').val($('#HIDDG_ano').val());
            $('#cbYear').prop('disabled', true);

            if ($('#HIDDG_asig_link').val().length == 0)
            {
                $('#btnFragmentar').button('enable');
            }
            else
            {
                $('#btnFragmentar').button('disable');
            }

            GetPrepagosMoneInfo();
        }

        function ResetForm()
        {
            $('#IdSubElementDG').val(0);

            $('#cbMoneda').val(<%=gen.id_mone %>);
            $('#IdSubElementMON').val(<%=gen.id_mone %>);
            $('#cbMoneda').prop('disabled', false);
            $('#txtPREPNombre').val('');
            $('#txtPREPImporte').val(<%=String.Format("{0:N2}", 0) %>);
            $('#txtPREPImporte').prop('disabled', false);
            $('#txtPREPEntregado').val(<%=String.Format("{0:N2}", 0) %>);
            $('#txtPREPEntregado').prop('disabled', false);
            $('#txtPREPNumTarj').val('');
            $('#txtPREPNumTarj').prop('disabled', false);

            $('#txtPREPDocumento').val('');
            //$('#txtPREPDocumento').prop('disabled', false);
            $('#txtPREPFechaAsignacion').html('');
            $('#txtPREPFechaRecepcion').html('');
            $('#txtPREPFechaCaduc').val('<%=String.Format("{0:d}", gen.fecha_hotelera.AddMonths(1)) %>');
            $('#txtPREPAsignadoEn').html('&nbsp;');

            $('#txtPREPNumero').val('');
            GetEnlacesPrepagosComboOptions();
            $('#cbEnlacePrep').prop('disabled', false);

            $('#cbContrato').val(0);
            $('#txtPREPDocContable').html('');
            $('#txtPREPOperador').html('<%=oper_nombre %>');
            $('#txtPREPReferencia').val('');
            $('#cbMonth').val(<%=DateTime.Now.Month %>);
            $('#cbMonth').prop('disabled', false);
            $('#cbYear').val(<%=DateTime.Now.Year %>);
            $('#cbYear').prop('disabled', false);

            $('#btnFragmentar').button('disable');

            GetPrepagosMoneInfo();
        }

        function ResetFormExtData() {
            $('#IdSubElementDG').val(0);

            $('#cbMoneda').val(<%=ext_moneda %>);
            $('#cbMoneda').prop('disabled', false);
            $('#IdSubElementMON').val(<%=ext_moneda %>);
            $('#txtPREPNombre').val('<%=ext_depositante %>');
            $('#txtPREPImporte').val('<%=String.Format("{0:N2}", ext_importe) %>');
            $('#txtPREPImporte').prop('disabled', false);
            $('#txtPREPEntregado').val('<%=String.Format("{0:N2}", ext_importe) %>');
            $('#txtPREPEntregado').prop('disabled', false);
            $('#txtPREPNumTarj').val('');
            $('#txtPREPNumTarj').prop('disabled', false);

            $('#txtPREPDocumento').val('');
            $('#txtPREPDocumento').prop('disabled', false);
            $('#txtPREPFechaAsignacion').html('');
            $('#txtPREPFechaRecepcion').html('');
            $('#txtPREPFechaCaduc').val('<%=String.Format("{0:d}", gen.fecha_hotelera.AddMonths(1)) %>');
            $('#txtPREPAsignadoEn').html('&nbsp;');

            $('#txtPREPNumero').val('');
            GetEnlacesPrepagosComboOptions();
            $('#cbEnlacePrep').prop('disabled', false);

            $('#cbContrato').val(<%=ext_tarifa %>);
            $('#txtPREPDocContable').html('');
            $('#txtPREPOperador').html('<%=oper_nombre %>');
            $('#txtPREPReferencia').val('');
            $('#cbMonth').val(<%=DateTime.Now.Month %>);
            $('#cbMonth').prop('disabled', false);
            $('#cbYear').val(<%=DateTime.Now.Year %>);
            $('#cbYear').prop('disabled', false);

            GetPrepagosMoneInfo();
        }

        <% /* JS_FUN_MON */ %>

        function GetPrepagosMoneInfo() {
            $.ajax({
                url: 'Servicio.svc/GetPrepagosMoneInfo',
                data: {
                    "id_mone_dega": $('#cbMoneda').val(), "importe": $('#txtPREPImporte').val(), "entregado": $('#txtPREPEntregado').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $('#HidMoneInfo').html(json.d);
                        LoadMoneInfo();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadMoneInfo() {
            ResetMoneInfo();

            $('#txtPREPExpresadoEn').val($('#HIDMONDG_cod_mone').val());
            $('#txtPREPTasa').val($('#HIDMONDG_tasa').val());
            $('#txtPREPVuelto').val($('#HIDMONDG_saldo').val());
            $('#txtPREPPorcComi').val($('#HIDMONDG_porc_comision').val());
            $('#txtPREPComision').val($('#HIDMONDG_comision').val());
            $('#txtPREPVueltoComi').val($('#HIDMONDG_total').val());
        }

        function ResetMoneInfo()
        {
            $('#txtPREPExpresadoEn').val('');
            $('#txtPREPTasa').val(<%=String.Format("{0:N2}", 0) %>);
            $('#txtPREPVuelto').val(<%=String.Format("{0:N2}", 0) %>);
            $('#txtPREPPorcComi').val(<%=String.Format("{0:N2}", 0) %>);
            $('#txtPREPComision').val(<%=String.Format("{0:N2}", 0) %>);
            $('#txtPREPVueltoComi').val(<%=String.Format("{0:N2}", 0) %>);
        }

        <% /* JS_FUN_COMBO */ %>

        function GetEnlacesPrepagosComboOptions() {
            $.ajax({
                url: 'Servicio.svc/GetEnlacesPrepagosComboOptions',
                data: {
                      "id_mone": $('#cbMoneda').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    try {
                        $('#cbEnlacePrep').html(json.d);
                        if (parseInt($('#cbMoneda').val()) != 0)
                        {
                            $('#cbEnlacePrep').val($('#HIDDG_id_endg').val());
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function ConvetirImporte() {
            $.ajax({
                url: 'Servicio.svc/ConvetirImporte',
                data: {
                    "id_mone_fact": $('#IdSubElementMON').val(), "importe_orig": $("#txtPREPImporte").val()
                    , "id_mone_ori": $('#IdSubElementMON').val(), "id_mone_des": $('#cbMoneda').val(), "importe": $("#txtPREPImporte").val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando8").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando8").dialog('close');
                    try
                    {
                        $("#txtPREPImporte").val(json.d);
                        $("#txtPREPEntregado").val(json.d);
                        $('#IdSubElementMON').val($('#cbMoneda').val());

                        BotonGuardarDG();
                        GetEnlacesPrepagosComboOptions();
                        GetPrepagosMoneInfo();
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }
        
    </script>
    
    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgFiltroDG").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 370,
                width: 460,
                modal: true
            });

            $("#dlgAnularDG").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 150,
                width: 370,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        DeleteDG(0);
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgTraspasarDG").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 150,
                width: 370,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        DeleteDG(1);
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgDevolverDG").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 150,
                width: 370,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        DeleteDG(2);
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgFragmentar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 400,
                width: 430,
                modal: true,
                open: function ()
                {
                    $('#jqgFR').jqGrid('clearGridData');
                    RefreshGridFR();
                }
            });

            $("#SevenMenu").accordion("option", "active", 2);

            LoadGridDG();
            LoadGridFR();

            InitializeComponentsDG();

            $('#cbMoneda').val(<%=gen.id_mone %>);
            $('#IdSubElementMON').val(<%=gen.id_mone %>);

            <% if(!ext_data){ %>

            <% if (nro_dega != 0) { %>

            $('#txtPREPNumero').val('<%=nro_dega %>');
            LoadNroPrepago();

            <% } else { %>

            RefreshGridDG();

            <% } %>

            <% } else { %>

            ResetFormExtData();

            <% } %>

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');

            $('#txtPREPAsignadoEn').click(function () {
                var lnk = $('#HIDDG_asig_link').val();
                if (lnk.length > 0) {
                    window.open(lnk, '_blank');
                }
            });

            $('#btnFragmentar').button('disable');

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M3';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Prepagos.aspx"><%=L.TIT("Prepagos") %> [2.4]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">

                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgAnularDG" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("PrepagoAnular") %>
                </div>

                <div id="dlgTraspasarDG" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("PrepagoTraspasar") %>
                </div>

                <div id="dlgDevolverDG" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("PrepagoDevolver") %>
                </div>

                <% /* DLG_FRAG */ %>

                <div id="dlgFragmentar" title="<%=L.LBL("LblGENFragmentar") %>" style="text-align: center; padding-top: 25px">

                    <table style="width: 100%;">
                        <tr>
                            <td><%=L.LBL("LblGENImporte") %>:</td>
                            <td>
                                <input type="text" id="txtFRImporte" disabled="disabled" style="width: 100px; text-align: right;" />
                            </td>
                            <td><%=L.LBL("LblGENRestante") %>:</td>
                            <td>
                                <input type="text" id="txtFRRestante" disabled="disabled" style="width: 100px; text-align: right;" />
                            </td>
                        </tr>
                    </table>

                    <br />

                    <input type="hidden" id="IdSubElementFR" value="0" />
                    <table id="jqgFR"></table>

                    <br />

                    <table style="width: 100%;">
                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td>
                                            <button type="button" id="btnFragmentarFin" onclick="Fragmentar();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/slides-stack.png" alt="<%=L.LBL("LblGENFragmentar") %>" />
                                                        </td>
                                                        <td>
                                                            <%=L.LBL("LblGENFragmentar") %>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" id="btnNuevoFR" onclick="CreateFR();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnEliminarFR" onclick="DeleteFR();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img id="btnEliminarIconFR" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnGuardarFR" onclick="SaveFR();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelarFR" onclick="CancelFR();">
                                                    <table>
                                                        <tr>
                                                            <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCerrar" onclick="$('#dlgFragmentar').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/door-open-in.png" alt="<%=L.LBL("LblGENExit") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_FIL_DG */%>

                <div id="dlgFiltroDG" title="<%=L.TIT("Prepagos") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_nro_dega" name="cbFilDG_nro_dega" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENNumero") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilDG_nro_dega" value="" onchange="$('input[name=cbFilDG_nro_dega]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_id_endg" name="cbFilDG_id_endg" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENType") %>:
                            </td>
                            <td>
                                <%=cbEnlacePrepFilDG %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_nombre_depo" name="cbFilDG_nombre_depo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKPREPDepositante") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilDG_nombre_depo" value="" onchange="$('input[name=cbFilDG_nombre_depo]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_id_cont" name="cbFilDG_id_cont" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENTarifa") %>:
                            </td>
                            <td>
                                <select name="cbContratoFilDG" id="cbContratoFilDG" onchange="$('input[name=cbFilDG_id_cont]').prop('checked', true);" style="width: 150px;">
                                    <option value="0" selected="" />
                                    <%
                                        foreach (System.Data.DataRow dr in Contratos.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
                                        }
                                    %>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_id_mone" name="cbFilDG_id_mone" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENMoney") %>:
                            </td>
                            <td>
                                <%=cbMonedaFilDG %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_documento_ext" name="cbFilDG_documento_ext" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENDocumento") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilDG_documento_ext" value="" onchange="$('input[name=cbFilDG_documento_ext]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_fecha_recepcion" name="cbFilDG_fecha_recepcion" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENRecibido") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilDG_fecha_recepcion').prop('checked', true);RefreshGridFE();").Replace("cbDateOps", "cbDateOpsFilDG") %>
                            </td>
                            <td style="white-space: nowrap;">
                                <input type="text" id="txtFilDG_fecha_recepcion" value="" class="eligeFecha" 
                                    onchange="$('#cbFilDG_fecha_recepcion').prop('checked', true);RefreshGridFE();" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFilDG_fecha_recepcion2" value="" class="eligeFecha" 
                                    onchange="$('#cbFilDG_fecha_recepcion').prop('checked', true);RefreshGridFE();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_fecha_caducidad" name="cbFilDG_fecha_caducidad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENVencimiento") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilDG_fecha_caducidad').prop('checked', true);RefreshGridFE();").Replace("cbDateOps", "cbDateOpsFilDG2") %>
                            </td>
                            <td style="white-space: nowrap;">
                                <input type="text" id="txtFilDG_fecha_caducidad" value="" class="eligeFecha" 
                                    onchange="$('#cbFilDG_fecha_caducidad').prop('checked', true);RefreshGridFE();" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFilDG_fecha_caducidad2" value="" class="eligeFecha" 
                                    onchange="$('#cbFilDG_fecha_caducidad').prop('checked', true);RefreshGridFE();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_no_tari" name="cbFilDG_no_tari" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSinTarifa") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilDG_asignado" name="cbFilDG_asignado" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENAsignado") %>:
                            </td>
                            <td>
                                <input type="radio" name="rbAsignado" value="1" /><%=L.LBL("LblGENYes") %>
                                <input type="radio" name="rbAsignado" value="0" checked="checked" /><%=L.LBL("LblGENNo") %>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" id="btnBuscarDG" onclick="RefreshGridDG();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENSearch") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnSalirDG" onclick="$('#dlgFiltroDG').dialog('close');">
                                                    <table>
                                                        <tr>
                                                            <td><img src="img/door-open-in.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Prepagos") %> [2.4]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-4-prepagos/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HidDega"></div>
                    <div id="HidMoneInfo"></div>
                </div>

                <br />
                            
                <table>
                    <tr>
                        <td>

                            <% /* B01 */ %>

                            <input type="hidden" id="IdSubElementDG" value="0" />
                            <input type="hidden" id="IdSubElementMON" value="0" />
                            <table id="jqgDG"></table>

                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <b><i><%=L.LBL("LblFDKPREPDepositante") %></i></b>
                                    </td>
                                    <td>
                                        <b><i><%=L.LBL("LblFDKNroPrepago") %></i></b>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="text" id="txtPREPNombre" style="width: 380px; font-size: 11pt;"/>
                                    </td>
                                    <td>
                                        <input type="text" id="txtPREPNumero" onblur="LoadNroPrepago();"
                                            style="width: 150px; font-size: 11pt; font-weight: bold; color: maroon; text-align: right;" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <table>
                                            <tr>
                                                <td>

                                                    <% /* B02 */ %>

                                                    <fieldset>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENMoney") %>:
                                                                </td>
                                                                <td>
                                                                    <%=cbMoneda %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENImporte") %>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" id="txtPREPImporte" value="<%=String.Format("{0:N2}", 0) %>" 
                                                                        style="width: 100px; text-align: right;" onblur="GetPrepagosMoneInfo();" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENEntregado") %>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" id="txtPREPEntregado" value="<%=String.Format("{0:N2}", 0) %>" 
                                                                        style="width: 100px; text-align: right;" onblur="GetPrepagosMoneInfo();" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENType") %>:
                                                                </td>
                                                                <td>
                                                                    <select id="cbEnlacePrep" style="width: 150px;">
                                                                    </select>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENTarifa") %>:
                                                                </td>
                                                                <td>
                                                                    <select name="cbContrato" id="cbContrato" onchange="" style="width: 150px;">
                                                                        <option value="0" selected="" />
                                                                        <%
                                                                            foreach (System.Data.DataRow dr in Contratos.Rows)
                                                                            {
                                                                                Response.Write(Utils.GetSelectOption(dr["id_cont"].ToString(), dr["contrato"].ToString().Trim() + " - " + dr["desc_cont"].ToString().Trim(), false));
                                                                            }
                                                                        %>
                                                                    </select>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENVencimiento") %>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" id="txtPREPFechaCaduc" value="<%=String.Format("{0:d}", gen.fecha_hotelera.AddMonths(1)) %>" 
                                                                        class="eligeFecha" style="width: 100px; "/>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblFDKDocumentoExt") %>:
                                                                </td>
                                                                <td>
                                                                    <textarea id="txtPREPDocumento" style="width: 180px; height: 70px;"></textarea>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblFDKSNroTarjeta") %>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" id="txtPREPNumTarj" value="" style="width: 150px; "/>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblFDKSFechaVencimiento") %>:
                                                                </td>
                                                                <td style="white-space: nowrap;">
                                                                    <%=Utils.MonthCombo() %> / <%=Utils.YearCombo() %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENReference") %>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" id="txtPREPReferencia" value="" style="width: 150px; "/>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                                <td>

                                                    <% /* B03 */ %>

                                                    <fieldset>
                                                        <table>
                                                            <tr>
                                                                <td style="padding-top: 3px; padding-bottom: 3px;">
                                                                    <%=L.LBL("LblFDKPREPExpresadoEn") %>:
                                                                </td>
                                                                <td style="padding-top: 3px; padding-bottom: 3px;">
                                                                    <input type="text" id="txtPREPExpresadoEn" value="" style="width: 60px;" disabled="disabled" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td style="padding-top: 7px; padding-bottom: 7px;">
                                                                    <%=L.LBL("LblGENRate") %>:
                                                                </td>
                                                                <td style="padding-top: 7px; padding-bottom: 7px;">
                                                                    <input type="text" id="txtPREPTasa" value="<%=String.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right;" disabled="disabled" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td style="padding-top: 7px; padding-bottom: 7px;">
                                                                    <%=L.LBL("LblGENEntregado") %> - <%=L.LBL("LblGENImporte") %>:
                                                                </td>
                                                                <td style="padding-top: 7px; padding-bottom: 7px;">
                                                                    <input type="text" id="txtPREPVuelto" value="<%=String.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right;" disabled="disabled" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td style="padding-top: 5px; padding-bottom: 5px; white-space: nowrap;">
                                                                    <%=L.LBL("LblGENCommission") %> 
                                                                    <input type="text" id="txtPREPPorcComi" value="<%=String.Format("{0:N2}", 0) %>" style="width: 50px; text-align: right;" disabled="disabled" />
                                                                    %:
                                                                </td>
                                                                <td style="padding-top: 7px; padding-bottom: 7px;">
                                                                    <input type="text" id="txtPREPComision" value="<%=String.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right;" disabled="disabled" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td style="padding-top: 5px; padding-bottom: 5px;">
                                                                    <%=L.LBL("LblGENVuelto") %>:
                                                                </td>
                                                                <td style="padding-top: 5px; padding-bottom: 5px;">
                                                                    <input type="text" id="txtPREPVueltoComi" value="<%=String.Format("{0:N2}", 0) %>" 
                                                                        style="width: 100px; text-align: right; color: red; font-size: 11pt;" disabled="disabled" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                    <br />
                                                    <div class="SevenEnlaces" style="width: 100%;">
                                                        <table style="width: 100%;">
                                                            <tr>
                                                                <td style="width: 50%;">
                                                                    <%=L.LBL("LblGENRecibido") %>:
                                                                </td>
                                                                <td style="width: 50%;">
                                                                    <span id="txtPREPFechaRecepcion" style="color: blue;" ></span>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENAsignado") %>:
                                                                </td>
                                                                <td>
                                                                    <span id="txtPREPFechaAsignacion" style="color: blue;" ></span>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td></td>
                                                                <td>
                                                                    <span id="txtPREPAsignadoEn" style="color: purple; font-weight: bold; cursor: pointer;" >&nbsp</span>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENDocContable") %>:
                                                                </td>
                                                                <td>
                                                                    <span id="txtPREPDocContable" style="color: blue;" ></span>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%=L.LBL("LblGENUser") %>:
                                                                </td>
                                                                <td>
                                                                    <span id="txtPREPOperador" style="color: blue;" ></span>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <table style="width: 100%;">
                                <tr>
                                    <td colspan="4">
                                        <table style="width: 100%;">
                                            <tr>
                                                <td style="width: 100%;"></td>
                                                <td>
                                                    <button type="button" id="bsdataDG" onclick="$('#dlgFiltroDG').dialog('open');" title="<%=L.LBL("LblGENSearch") %>">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/binocular.png" 
                                                                       alt="<%=L.LBL("LblGENSearch") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnImprimirDG" onclick="ImprimirDG();" title="<%=L.LBL("LblGENPrint") %>">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnFragmentar" onclick="$('#dlgFragmentar').dialog('open');" title="<%=L.LBL("LblGENFragmentar") %>">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/slides-stack.png" alt="<%=L.LBL("LblGENFragmentar") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnNuevoDG" onclick="CreateDG();" title="<%=L.LBL("LblGENNew") %>">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminarDG" onclick="$('#dlgAnularDG').dialog('open');" title="<%=L.LBL("LblGENDelete") %>">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img id="btnEliminarIconDG" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardarDG" onclick="SaveDG();" title="<%=L.LBL("LblGENSave") %>">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarDG" onclick="CancelDG();" title="<%=L.LBL("LblGENCancel") %>">
                                                            <table>
                                                                <tr>
                                                                    <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnTraspasoDG" onclick="$('#dlgTraspasarDG').dialog('open');" title="<%=L.LBL("LblFDKSENDGCuentaOfic") %>">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/Seven/FDK/TraspasoOficinas.png" alt="<%=L.LBL("LblFDKSENDGCuentaOfic") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnDevolucionDG" onclick="$('#dlgDevolverDG').dialog('open');" title="<%=L.LBL("LblFDKSENDGCuentaDev") %>">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/Seven/FDK/DevolucionCliente.png" alt="<%=L.LBL("LblFDKSENDGCuentaDev") %>" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

